Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-12-2016 23:03:33

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

[Résolu] gnome-packagekit et gpk-update-viewer

Bonsoir à tous,
le mieux étant l'ennemi du bien, j'ai je crois , une grosse bêtise:Pour automatiser les mises à jour.j'ai voulu suivre le cahier de l'administrateur de Debian
comme je ne trouvais pas gpk-update-viewer j'ai essayé d'installer gnome-packagekit. et jen'ai pas pu y arriver.. j'ai essayé de faire un

apt-get update && apt-get upgrade


Je suis sur Jessie 8.6 et Gnome



Je mets ici le code de réponse:

maurice@mondell:~$ su
Mot de passe :
root@mondell:/home/maurice#

apt-get uptdate && apt-get upgrade


E: L'opération uptdate n'est pas valable
root@mondell:/home/maurice# apt-get update && apt-get upgrade
Ign http://ftp.fr.debian.org jessie InRelease
Réception de : 1 http://security.debian.org jessie/updates InRelease [63,1 kB]
Atteint http://ftp.fr.debian.org jessie-updates InRelease              
Atteint http://ftp.fr.debian.org jessie Release.gpg                            
Atteint http://ftp.fr.debian.org jessie-updates/main Sources                  
Réception de : 2 http://security.debian.org jessie/updates/main Sources [171 kB]
Atteint http://ftp.fr.debian.org jessie-updates/contrib Sources                
Atteint http://ftp.fr.debian.org jessie-updates/non-free Sources              
Réception de : 3 http://security.debian.org jessie/updates/contrib Sources [1 439 B]
Réception de : 4 http://ftp.fr.debian.org jessie-updates/main amd64 Packages/DiffIndex [6 916 B]
Réception de : 5 http://security.debian.org jessie/updates/non-free Sources [14 B]
Atteint http://ftp.fr.debian.org jessie-updates/contrib amd64 Packages        
Réception de : 6 http://security.debian.org jessie/updates/main amd64 Packages [331 kB]
Réception de : 7 http://ftp.fr.debian.org jessie-updates/non-free amd64 Packages/DiffIndex [736 B]
Atteint http://ftp.fr.debian.org jessie-updates/contrib Translation-en        
Réception de : 8 http://ftp.fr.debian.org jessie-updates/main Translation-en/DiffIndex [2 704 B]
Réception de : 9 http://ftp.fr.debian.org jessie-updates/non-free Translation-en/DiffIndex [736 B]
Réception de : 10 http://security.debian.org jessie/updates/contrib amd64 Packages [2 506 B]
Réception de : 11 http://security.debian.org jessie/updates/non-free amd64 Packages [14 B]
Atteint http://ftp.fr.debian.org jessie Release                                
Réception de : 12 http://security.debian.org jessie/updates/contrib Translation-en [1 211 B]
Atteint http://ftp.fr.debian.org jessie/main Sources                          
Réception de : 13 http://security.debian.org jessie/updates/main Translation-en [174 kB]
Atteint http://ftp.fr.debian.org jessie/non-free Sources                      
Atteint http://ftp.fr.debian.org jessie/contrib Sources                        
Réception de : 14 http://security.debian.org jessie/updates/non-free Translation-en [14 B]
Atteint http://ftp.fr.debian.org jessie/contrib amd64 Packages                
Atteint http://ftp.fr.debian.org jessie/non-free amd64 Packages                
Atteint http://ftp.fr.debian.org jessie/main amd64 Packages          
Atteint http://ftp.fr.debian.org jessie/contrib Translation-en
Atteint http://ftp.fr.debian.org jessie/main Translation-fr
Atteint http://ftp.fr.debian.org jessie/main Translation-en
Atteint http://ftp.fr.debian.org jessie/non-free Translation-en
755 ko réceptionnés en 2s (269 ko/s)
E: Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.


root@mondell:/home/maurice#

aptitude


root@mondell:/home/maurice#

exit


exit



maurice@mondell:~$
maurice@mondell:~$

J'ajoute ce  que me répond aptitude:

Actions  Annuler  Paquet  Solutions  Rechercher  Options  Vues  Aide
C-T : Menu  ? : Aide  q : Quitter  u : MAJ  g : Téléch./Install./Suppr. Paqts

aptitude 0.6.11                 Libérera 39,9 ko d'espace disq

--- Paquets installés (1759)                                                    
--- Paquets non installés (41321)
--- Paquets virtuels (5203)
--- Tâches (216)
┌──────────────────────────────────────────────────────────────────────────────┐
│E : Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource  ▒│
│   temporairement non disponible)                                            ▒│
│E : Impossible de verrouiller le répertoire d'administration                 ▒│
│   (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.        ▒│
│W : Impossible de verrouiller le fichier cache : cela est en général dû à une▒│
│   installation simultanée de paquets avec dpkg ou un autre outil comme APT. ▒│
│   Ouverture en mode lecture seule : AUCUNE des modifications de l'état des  ▒│
│   paquets que vous pourrez faire ne sera conservée.                         ▒│
│                                [ Continuer ]                                 │
└──────────────────────────────────────────────────────────────────────────────┘
   



Je ne sais comment m'en sortir.                                                                           ▒
      le gestionaire de paquet synaptique m'indique :


Impossible d'obtenir un verrou exclusif

Ceci signifie habituellement qu'une autre application de gestion des paquets est en cours d'exécution (comme, par exemple, apt-get ou aptitude). Veuillez d'abord fermer cette application.   


j'ai tout fermé.mais j'ai pas eu de changement et le gestionnaire de paquets synoptiques est toujours indisponible .

La prochaine fois je me contenterai du bon

apt-get update && apt-get upgrade



J'ai éteint et rallumé l'ordi le gestionnaire de paquets m'indique.:et reste indisponible

"E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
E: _cache->open() failed, please report."
 


ce sera peut être un renseignement utile .Moi je ne sais qu'en faire!

Grand merci
Maurice






                                                                     ▒
                                                                               ▒
                                                                               ▒
                                                                               ▒
                                                                               ▒

Edit à toto :
Mis en forme par les balises les commandes root et leurs retours.

Dernière modification par Maurice (19-12-2016 09:35:35)

Hors ligne

#2 14-12-2016 08:09:02

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Bonjour,
As-tu essayé la commande indiquée dans le message

dpkg --configure -a


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#3 14-12-2016 13:56:32

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Bonjour et merci,
j'avais essayé cela et je viens de réessayer mais il apparait ce message:

(J'ai du le copier-coller en deux fois :pas moyen de sélectionner tout en une seule fois!)

Outil de configuration des paquets                                             
                                                                               
┌────────────────────────┤ Tripwire Configuration ├─────────────────────────┐ 
│                                                                           │ 
│ Tripwire utilise une paire de clés pour signer différents fichiers, afin     
│ de s'assurer de leur intégrité. En acceptant ici, votre phrase secrète       
│ vous sera demandée pour la première des clés, la clé du site, lors de       
│ l'installation. Vous serez également invité à créer une clé pour le site     
│ s'il n'en existe pas déjà une. Tripwire utilise la clé du site pour         
│ signer les fichiers qui peuvent être partagés entre plusieurs systèmes,     
│ par exemple les fichiers de configuration et de règles. Consultez           
│ twfiles(5) pour plus d'informations.                                         
│                                                                             
│ Malheureusement, en raison du processus d'installation de Debian, il         
│ existe un intervalle de temps pendant lequel la phrase secrète existe       
│ dans un format non-chiffré. Si un attaquant possède l'accès à votre         
│ machine pendant ce laps de temps, il pourrait récupérer votre phrase         
│ secrète et l'utiliser plus tard.                                             
│                                                                             
│                                  <Ok>                                       
│                         

Outil de configuration des paquets                                             
                                                                               
┌────────────────────────┤ Tripwire Configuration ├─────────────────────────┐ 
│                                                                           │ 
│ signer les fichiers qui peuvent être partagés entre plusieurs systèmes,     
│ par exemple les fichiers de configuration et de règles. Consultez           
│ twfiles(5) pour plus d'informations.                                         
│                                                                             
│ Malheureusement, en raison du processus d'installation de Debian, il         
│ existe un intervalle de temps pendant lequel la phrase secrète existe       
│ dans un format non-chiffré. Si un attaquant possède l'accès à votre         
│ machine pendant ce laps de temps, il pourrait récupérer votre phrase         
│ secrète et l'utiliser plus tard.                                             
│                                                                             
│ Si vous préférez ne pas prendre ce risque, veuillez refuser ici. Vous       
│ devrez ensuite créer vous-même une clé de site, des fichiers de             
│ configuration et de règles. Consultez twadmin(8) pour plus                   
│ d'informations.                                                             
│                                                                             
│                                  <Ok>                                       
│                                                                           │ 
└───────────────────────────────────────────────────────────────────────────┘ 
        Je n'arrive pas à répondre " non " le"ok" ne répond à rien et je n'arrive pas à quitter ce message qui bloque le terminal!et m’empêche de voir l'avancement de la  réponse du terminal qui est couverte par ce message l   Je vais essayer de trouver ce "twadmin(8).

Merci de m'avoir répondu si vite .
Maurice

Hors ligne

#4 14-12-2016 19:38:51

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Tu as installé tripwire de toi même ou bien il est installé par défaut sur Debian ?
Je ne connaissais pas ce logiciel. Je pense que ses utilisateurs pourront t'aider.
Sinon moi je te proposerais de supprimer tripwire, de refaire la commande dpkg --configure -a mais bon ce n'est sûrement la solution que tu veux à ton problème hmm

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#5 14-12-2016 20:27:32

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

bonsoir,
oh non, moi je ne permets pas encore de charger des trucs que je ne connais pas du tout.Tu vois ce qui m'arrive lorsque je m'y mets! Ce tripwire est là depuis l'origine, c'est la première fois  que je le vois.Je n'ai pas eu le temps de regarder de quoi il s'agit, j'espère le faire ce soir.Je te tiens évidemment a courant.
Mauurice

Hors ligne

#6 15-12-2016 00:47:13

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian Jessie 8.8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14
Inscription : 29-04-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

tripwire est un "Vérificateur d'intégrité de fichiers et répertoires"
il cherche à signer chaque fichier pour déterminer s'il y aura des modifications ultérieurement.
A priori il n'est pas installé en standard avec debian. (perso je il n'est pas installé sur ma machine)

Si c'est la première fois que tu le vois comment peux-tu affirmer qu'il est là depuis l'origine ?

Quel terminal utilises-tu ? Graphique ou console tty ?

Hors ligne

#7 15-12-2016 09:20:00

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Si il n'est pas installé par défaut comme le dit Philou92, tu peux aussi en plus de sa question nous dire quelle ISO tu as utilisée pour ton installation.
Et du coup la désinstallation de tripwire puis la commande dpkg semblent une meilleure option que ce que je pensais.

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#8 15-12-2016 09:26:46

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Bonjour,
Merci d'avoir regardé avant moi; je craignais un virus ou une autre attaque.j'ai mis Clamvartk comme antivirus mais je n'ai pas encore de pare-feu!
Tu as raison, mon raisonnement est très "rapide".Il n'y a que quelques mois que j'ai monté Debian Jessie en dualboot avec win 8.1.Effectivement avec Synaptic j'ai monté quelques paquets sans problème. tripwire est il venu avec un de ces paquets?J'utilise Gnome en graphique c'est quand même plus facile pour un débutant de 76ans! Depuis toujours j'étais évidemment sur windows ( j'ai connu les premiers) mais je n'ai pas voulu passer au win 10. je garde windows parce que j'ai un programme fait par moi sur DBase auquel je tiens et un programme spécifique Nikon qui m'a couté cher, plus quelques autres qui ne tournent que sur windows.
Maintenant comme j'ai le temps je veux m'initier à quelque chose de neuf , j'ai monté Ubuntu seul sur une vieille bécane,  c'est très bien mais je le trouve un peu trop facile?????. Par contre Jessie est plus difficile à assimiler malgré tout mais plus "amusant": vive le terminal et les paquets.et sa relative complication!

Après cette longue diversion que me conseilles tu de faire. Je vais essayer de trouver d'où vient ce foutu tripwire.Je sais qu'il y a une cde avec un argument qui permet de faire cela , mais il faut que je la retrouve, ah où est ma mémoire de dans le temps ? ah c'est pas beau de vieillir mon bon monsieur!!Allez blague à part , je m'y mets.
encore merci
Maurice

Hors ligne

#9 15-12-2016 09:42:05

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Tu peux essayer de faire une simulation de la désinstallation de tripwire :

apt-get -s --purge remove tripwire


pour voir ce qui serait supprimé avec lui.


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#10 15-12-2016 13:05:52

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

rebonjour,
j'ai fait  l'apt-get il me répond:
[code=rootmaurice@mondell:~$ su
Mot de passe :
root@mondell:/home/maurice# apt-get -s --purge remove tripwire
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  mscompress tcl tk
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  tripwire*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 4 non mis à jour.
1 partiellement installés ou enlevés.
Purg tripwire [2.4.2.2-4]
root@mondell:/home/maurice# apt-get autoremove
E: Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.
root@mondell:/home/maurice# exit
exit
maurice@mondell:~$

Ce paquet tripwire n'a pas été mis par moi! il devait être dans l'origine , pourtant j'ai pris l'iso par torrent sur le miroir français , à moins qu'il ne soit venu lors d'une update??

j'ai fait la recherche de tous les paquets je remarque que tripwire est en échec de config (F).c'est le seul paquet , tous les autres sont en ii

iF  tripwire       2.4.2.2-4    amd64        file and directory integrity check

État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/

j'ai aussi tous les fichiers de ce paquet je te les mets?Je ne vois pas de fichier "config"!

Tu vois une solution?

Merci
Maurice

NB je ne sais plus me servir des codes de mise en place des codes où puis je les retrouver sur  ce forum?

Hors ligne

#11 15-12-2016 13:22:20

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

root@mondell:/home/maurice# apt-get -s --purge remove tripwire
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  mscompress tcl tk
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  tripwire*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 4 non mis à jour.
1 partiellement installés ou enlevés.
Purg tripwire [2.4.2.2-4]


Les fichiers de configuration de Tripwire ont été supprimés avec succès d'autant que je peux dire. Y a parfois des choses qui restent quand même, le "1 partiellement installés ou enlevés" signifie, je pense, que tu avais déjà supprimé le logiciel, mais pas "purgé" les fichiers de configuration qui allaient avec. Tu as probablement gagné quelques petits octets dans l'opération.

Quand à l'echec de l'autoremove, c'est dû à un autre processur "apt-get" (une mise à jour ? Une installation ?) en paralèle, si tu redémarres et que tu retentes, tout *devrait* bien se passer.

Dernière modification par otyugh (15-12-2016 13:23:24)


Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#12 15-12-2016 14:15:41

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

L'échec de l'autoremove vient du fait que la commande précédente était une simulation donc rien n'a changé
A ta place, je ferais

apt-get --purge remove tripwire


Puis

dpkg --configure -a


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#13 15-12-2016 14:18:08

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Tsah, j'avais loupé le "-s". C'est vicieux tes commandes tongue

Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#14 15-12-2016 14:21:34

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Ben non c'est pour voir ce qui se passerait et éviter de faire une commande qui supprimerait d'autres paquets importants.
Une sécurité quoi wink

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#15 15-12-2016 17:08:48

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

rebonjour, et scrongneuneu,

voila ce que cela donne:

maurice@mondell:~$ su
Mot de passe :
root@mondell:/home/maurice# apt-get --purge remove tripwire
E: Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'
administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.
root@mondell:/home/maurice# exit
exit
maurice@mondell:~$
 



si j'ajoute:

dpkg --configure -a



j'obtiens à nouveau:
Outil de configuration des paquets                                             
                                                                               
┌────────────────────────┤ Tripwire Configuration ├─────────────────────────┐ 
│                                                                           │ 
│ Tripwire utilise une paire de clés pour signer différents fichiers, afin     
│ de s'assurer de leur intégrité. En acceptant ici, votre phrase secrète       
│ vous sera demandée pour la première des clés, la clé du site, lors de       
│ l'installation. Vous serez également invité à créer une clé pour le site     
│ s'il n'en existe pas déjà une. Tripwire utilise la clé du site pour         
│ signer les fichiers qui peuvent être partagés entre plusieurs systèmes,     
│ par exemple les fichiers de configuration et de règles. Consultez           
│ twfiles(5) pour plus d'informations.                                         
│                                                                             
│ Malheureusement, en raison du processus d'installation de Debian, il         
│ existe un intervalle de temps pendant lequel la phrase secrète existe       
│ dans un format non-chiffré. Si un attaquant possède l'accès à votre         
│ machine pendant ce laps de temps, il pourrait récupérer votre phrase         
│ secrète et l'utiliser plus tard.                                             
│                                                                             
│                                  <Ok>                                       
│                                                                           │ 
└───────────────────────────────────────────────────────────────────────────┘ 
                    Plus ce que j'ai envoyé plus haut.

Il n'existe pas une commande qui permet de forcer la désinstallation de ce logiciel? Il ne répond pas à ses "ok" ou alors il manque un "no".?. Est ce un bug?

J''ai ouvert  des fichiers de tripwire mais suis trop débutant pour oser y toucher et de toutes façons ces fichiers;txt sont en lecture seule.

avez vous des idées?

Mrci d'avance
Maurice

Hors ligne

#16 15-12-2016 17:19:03

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Quand tu as fait la commande pour désinstaller tripwire, tu n'avais bien que la fenêtre du terminal pas d'autre logiciel style Synaptic ?

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#17 15-12-2016 17:50:25

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Non je n'avais que  ce forum en fonction sur ma bécane et un terminal , pas d'autre terminal ni logiciel ouvert.

Que penses tu de ceci?

Supprimer un fichier (rm)

Effectuons à nouveau une copie du fichier « linux-test » (tapez au préalable cd pour vous retrouver dans votre répertoire personnel): cp linux-test linux-test2

Pour supprimer le fichier "linux-test2": rm linux-test2
Options

-i
    comme pour cp, l'option -i permet à rm de demander à l'utilisateur s'il souhaite vraiment supprimer le ou les fichiers en question.
-r
    supprime un répertoire et ses sous-répertoires (attention, c'est TRÈS dangereux)
-f
    supprime les fichiers dans lesquels il est interdit d'écrire ainsi que les répertoires, sans demander une confirmation (à utiliser avec précaution..


Évidemment ça doit pas supprimer tout un logiciel ! Suis je bête!
Faudrait la même chose pour les programme mais ça c'est pas la même chose

encore merci
Maurice

NB comme il y a moyen de voir tous les fichiers d'un programme , si je les supprime un à un , tu crois que je peux ? Ou je risque de mettre le foutoir partout?

Dernière modification par Maurice (15-12-2016 18:07:47)

Hors ligne

#18 15-12-2016 18:04:24

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

oui pour un logiciel c'est remove mais tu as déjà essayer hmm
D'après ton premier message, ton problème est apparu avec l'installation ratée de gnome-packagekit
Tu peux tenter

apt-get --purge remove gnome-packagekit


mais je n'y crois pas, il faut chercher comment faire sauter ce verrou. Je regarde sur le forum et dans la doc de mon côté wink


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#19 15-12-2016 18:13:05

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Ah j'ai trouvé, il suffirait de supprimer le fichier
Tu t'assures que tu n'as rien pas d'autres applications qui gèrent les paquets ouvertes (comme synaptic)
puis dans un terminal

rm /var/lib/dpkg/lock


ensuite j'hésite entre

apt-get update


et

dpkg --configure -a

Dernière modification par chalu (15-12-2016 18:14:42)


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#20 15-12-2016 18:27:31

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

comme il y a moyen de voir tous les fichiers d'un programme , si je les supprime un à un , tu crois que je peux ? Ou je risque de mettre le foutoir partout?
Merci c'est peut être une bonne idée aussi de faire:apt-get --purge remove gnome-packagekit . mais j'attends de tes nouvelles avant d'agir.

Grand merci pour la peine que tu te donnes

Maurice

Hors ligne

#21 15-12-2016 18:34:04

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Peux-tu décrire plus précisemment ce qui s'est passé en installant gnome-packagekit pour savoir si effectivement il s'est mal installé
te souviens-tu d'un message ?
et dans ce cas, faire plutôt la commande avec rm et la commande avec dpkg pour configurer le paquet
apt-get update interroge juste les dépôts donc ce n'est pas risqué non plus

Maurice a écrit :

Merci c'est peut être une bonne idée aussi de faire:apt-get --purge remove gnome-packagekit . mais j'attends de tes nouvelles avant d'agir.


Non ça ne va pas marcher tant que tu n'as pas supprimé le verrouillage, regarde le message #19

Dernière modification par chalu (15-12-2016 18:36:29)


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#22 15-12-2016 19:09:07

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

ok,
j'ai jeter un coup d’œil aux propriétés du fichier lock : type :  Binaire (application/octet-stream)          Taille:      0 octet      est ce normal? impossible de l'ouvrir
évidemment je ne comprend pas ce que veut dire le type : Binaire(ça je sais) (application/octet-stream). Faudrait pas arriver à mettre 1?

Maurice

Dernière modification par Maurice (15-12-2016 19:13:39)

Hors ligne

#23 15-12-2016 19:26:11

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

oui c'est normal que tu ne puisses pas l'ouvrir

Pour ton problème, l'idée vient de là :
https://debian-facile.org/viewtopic.php?id=4309
on peut faire la vérification proposée dans le fil mais par exemple sur mon PC lsof n'est pas installé donc dans ta situation, je ne pourrais pas faire la commande car je ne pourrais pas installer ce paquet comme tout est bloqué. Si c'est déjà installé sur le tien, ça peut être intéressant :

lsof /var/lib/dpkg/lock


le tuto du wiki DF sur lsof : https://debian-facile.org/doc:systeme:lsof

Si tu n'as pas lsof installé, il reste à tenter :

rm /var/lib/dpkg/lock

Dernière modification par chalu (15-12-2016 19:44:53)


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#24 19-12-2016 19:04:51

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Résolu] gnome-packagekit et gpk-update-viewer

bonsoir,excusez mon absence rapide :ms petits enfants sont arrivé à l'improviste ;j'ai préféré planquer mes engins
.Il y avait bien un bug dans tripwire . J'ai reçu ce matin un e-mail avec une nouvelle version de tripwire .J'ai fait des install avec apt-get et aussi avec synoptique :pas de problème . j'ai pas vu de traces de Tripwire , il travaille peut être en arrière plan. Mais sur Linux j'ai pas encore vu comment on peut le vérifier.
Encore merci à tous.
Maurice

Hors ligne

#25 19-12-2016 19:19:28

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : [Résolu] gnome-packagekit et gpk-update-viewer

Tant mieux si ton problème est résolu même si je ne comprends pas bien quelle est ton installation en fait pour recevoir un mail de tripwire un logiciel dont tu ignorais l'existence scratchhead.gif
L'essentiel c'est que ça te convienne wink

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

Pied de page des forums